function  [Alarvae,Afitness]=budding(REEF,pob,fitness,Fa,opt)
%
%   function  [Alarvae]=budding(REEF,pob,fitness,Fa)
%
%   Duplicate the better corals in the reef.
%
%   Input - REEF: coral reef, pob: reef population, fitness: reef
%   fitness, Fa: fraction of corals to be duplicated, opt: type of
%   optimization ('max' or 'min')
%   Output - Alarvae: created larvae, Afitness: larvae's fitness

pob=pob(REEF==1,:);
fitness=fitness(REEF==1);

N=size(pob,1);
NA=ceil(Fa*N);

if strcmp(opt,'max')
    [fitness,ind]=sort(fitness,'descend');
else
    [fitness,ind]=sort(fitness,'ascend');
end

Alarvae=pob(ind(1:NA),:);
Afitness=fitness(1:NA);