function [REEF,REEFpob,REEFfitness]=depredation(REEF,REEFpob,REEFfitness,Fd,Pd,opt)
%
%   function [REEF,REEFpob,REEFfitness]=depredation(REEF,REEFpob,nPF,Pd)
%
%   Depredation operator. A fraction Fd of the worse corals is eliminated
%   with probability Pd
%
%   Input - REEF: coral reef, REEFpob: reef population, REEFfitness: reef
%   fitness, Fd: fraction of the overall corals to be eliminated, Pd:
%   probability of eliminating a coral, opt: type of optimization ('min' or 'max')
%   Output - REEF: new coral reef, REEFpob: new reef population, REEFfitness: new reef
%   fitness 

if strcmp(opt,'min')
    [sortfitness,sortind]=sort(REEFfitness,'descend');
else
    [sortfitness,sortind]=sort(REEFfitness,'ascend');
end

sortind=sortind(1:round(Fd*size(REEFpob,1)));

p=rand(length(sortind),1);
dep=find(p<Pd);
REEF(sortind(dep))=0;
REEFpob(sortind(dep),:)=zeros(length(dep),size(REEFpob,2));
REEFfitness(sortind(dep))=0;