function [REEF,REEFpob,REEFfitness]=extremedepredation(REEF,REEFpob,REEFfitness,K)
% 
%   function [REEF,REEFpob,REEFfitness]=extremedepredation(REEF,REEFpob,REEFfitness,K)
%
%   Allow only K equal corals in the reef, the rest are eliminated.
%
%   Input - REEF: coral reef, REEFpob: reef population, REEFfitness: reef
%   fitness, K: maximum number of allowed equal corals
%   Output - REEF: new coral reef, REEFpob: new reef population, REEFfitness: new reef
%   fitness 

U=unique(REEFpob,'rows');

for l=1:size(U,1)
    k=0;
    ind=U(l,:);
    for n=1:size(REEFpob,1)
        if isequal(ind,REEFpob(n,:))
            if k<K
                %si el individuo se repite como mucho K veces
                k=k+1;
            else
                %eliminamos el resto de individuos
                REEFpob(n,:)=zeros(1,size(REEFpob,2));
                REEFfitness(n)=0;
                REEF(n)=0;
            end
        else
            
        end
    end     
end
