function [REEF,REEFpob]=reefinitialization(M,N,r0,L)
%
%   function [REEF,REEFpob]=reefinitialization(M,N,r0,L)
%
%Initialize the REEF with L-length random corals. r0 is the occupied/total
%rate.
%   This function depends on the problem to be solved, max-ones in this case.   
%
%   Input   - MxN: reef size,  r0: occupied/total rate, L: coral length
%   Output  - REEF: reef matrix
%             REEFpob: population matrix


%Initialize REEF to all zeros
REEF=zeros(M,N);
%Initialize REEFpob to all zeros
REEFpob=zeros(M*N,L);

O=round(M*N*r0);    %number of occupied reefs
a=randperm(M*N);    %set of corals to be occupied
ocup=a(1:O);

REEF(ocup)=1;   

%Population creation
REEFpob(ocup,:)=round(rand(O,L));
